<!DOCTYPE html>
<html>
<head>
<title>Calculator</title>
</head>
<body>
<h1>This is a Calculator</h1>
<p>These are valid queries:</p>
<p><a href="/add?a=2&b=2">2 + 2</a></p>
<p><a href="/sub?a=2&b=2">2 - 2</a></p>
<p><a href="/mul?a=2&b=2">2 * 2</a></p>
<p><a href="/div?a=2&b=2">2 / 2</a></p>
<p>These will fail:</p>
<p><a href="/div?a=2&b=0">2 / 0</a>&nbsp;(error)</p>
<p><a href="/add?a=2&b=x">2 + x</a>&nbsp;(error)</p>
<p><a href="/add?a=2">2 + </a>&nbsp;(error)</p>
</body>
</html>
